Package ghidra.util.table.projectdata.column

# Class LanguageProjectDataColumn

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<DomainFileInfo,T,ProjectData>
ghidra.framework.main.datatable.ProjectDataColumn<String>
ghidra.util.table.projectdata.column.LanguageProjectDataColumn

All Implemented Interfaces:
  `DynamicTableColumn<DomainFileInfo,String,ProjectData>`, `ExtensionPoint`, `Comparable<ProjectDataColumn<?>>`

public class LanguageProjectDataColumn extends ProjectDataColumn<String>

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageProjectDataColumn()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `int`
  `getColumnPreferredWidth()`
  Returns the preferred width for this column.
  `int`
  `getPriority()`
  `String`
  `getValue(DomainFileInfo info, Settings settings, ProjectData data, ServiceProvider services)`
  Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
  `boolean`
  `isDefaultColumn()`

  ### Methods inherited from class ghidra.framework.main.datatable.ProjectDataColumn

  `compareTo`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnClass, getColumnDescription, getColumnDisplayName, getColumnRenderer, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LanguageProjectDataColumn

    public LanguageProjectDataColumn()

- ## Method Details

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<DomainFileInfo,String,ProjectData>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<DomainFileInfo,String,ProjectData>`
    Returns:
      the field instance name.

  - ### getValue

    public String getValue(DomainFileInfo info, Settings settings, ProjectData data, ServiceProvider services) throws IllegalArgumentException
    Description copied from interface: `DynamicTableColumn`
    Creates an object that is appropriate for this field (table column) and for the object that is associated with this row of the table.
    Specified by:
      `getValue` in interface `DynamicTableColumn<DomainFileInfo,String,ProjectData>`
    Specified by:
      `getValue` in class `AbstractDynamicTableColumn<DomainFileInfo,String,ProjectData>`
    Parameters:
      `info` - the object associated with the row in the table.
      `settings` - field settings
      `data` - the expected data object, as defined by the DATA_SOURCE type
      `services` - the `ServiceProvider` associated with the table.
    Returns:
      the object for the model to display in the table cell.
    Throws:
      `IllegalArgumentException` - if the rowObject is not one supported by this class.

  - ### getColumnPreferredWidth

    public int getColumnPreferredWidth()
    Description copied from interface: `DynamicTableColumn`
    Returns the preferred width for this column. Column should either return a valid positive preferred size or -1.
    Specified by:
      `getColumnPreferredWidth` in interface `DynamicTableColumn<DomainFileInfo,String,ProjectData>`
    Overrides:
      `getColumnPreferredWidth` in class `AbstractDynamicTableColumn<DomainFileInfo,String,ProjectData>`
    Returns:
      the preferred width for this column.

  - ### isDefaultColumn

    public boolean isDefaultColumn()
    Specified by:
      `isDefaultColumn` in class `ProjectDataColumn<String>`

  - ### getPriority

    public int getPriority()
    Specified by:
      `getPriority` in class `ProjectDataColumn<String>`